# 光伏发电预测模块接口文档
## 地区最佳倾角
### 端口号
`xxx.xxx.xxx.xxx:9515/angle/`
### 接口调用方式
POST
### 输入
```
{
    "province": "山东省",
    "city": "青岛市"
}
```
### 输出
```
{
    "code": 200,
    "data": [35, 4.21, 1.214, 1213.95] # 分别表示[最佳倾角，峰值日照时数，每瓦首年发电量，年有效利用小时数]
}
```
## 未来光伏出力数据(简单版)
### 端口号
`xxx.xxx.xxx.xxx:9515/power/`
### 接口调用方式
POST
### 输入
```
{
    "province": "山东省",
    "city": "青岛市",
    "capacity": 200MW, # 装机容量
    "angle": 38, # 用户设置倾角
    "dhi": [100.0, 123.1,..., 210.2] # 未来120小时的辐照
}
```
### 输出
```
{
    "code": 200,
    "data": [7.5, 8.6, ..., 7.2] # 未来120h的每小时发电量
}
```
## 未来光伏出力数据(复杂版)
### 端口号
`xxx.xxx.xxx.xxx:9515/power_custom/`
### 接口调用方式
POST
### 输入
```
{
    "province": "山东省",
    "city": "青岛市",
    "capacity": 200MW, # 装机容量(kW)
    "angle": 38, # 用户设置倾角
    "dhi": [100.0, 123.1,..., 210.2], # 未来120小时的辐照(数仓取数)
    "tmp": [27, 29, ..., 32], 未来120h气温(数仓取数)
    "materials": "xxx", 光伏板材料：[N型单晶, P型多晶, P型单晶]
    "t_noct": 光伏板电池片结温，默认45 （℃）
    "sigma": 光伏板温度系数，默认-0.42（%/℃）
}
```
### 输出
```
{
    "code": 200,
    "data": [7.5, 8.6, ..., 7.2] # 未来120h的每小时发电量(kW)
}